---
agentTools:
  projectIndex: https://docs.privakey.com/llms.txt
---

# Get Account

Returns a user's Privakey account information

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Settings",
    "version": "2.4"
  },
  "servers": [
    {
      "url": "https://cloud.privakey.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/api/account/getAccount": {
      "get": {
        "summary": "Get Account",
        "description": "Returns a user's Privakey account information",
        "operationId": "get-account",
        "parameters": [
          {
            "name": "accountId",
            "in": "query",
            "description": "The user's account id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Either Basic or HMAC, depending on how the Request Origin is configured.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "Basic <basic creds>"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": 17,\n    \"privakeyId\": \"37e0e8ef-cf1c-482d-88aa-ee7a63b250ca\",\n    \"externalIdentifier\": \"999999\",\n    \"created\": \"2019-02-19T21:02:08.000Z\",\n    \"appSpaceId\": 1,\n    \"appUserStatusId\": 0,\n    \"userInfo\": \"{'recurringCustomer':true}\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "example": 17,
                      "default": 0
                    },
                    "privakeyId": {
                      "type": "string",
                      "example": "37e0e8ef-cf1c-482d-88aa-ee7a63b250ca"
                    },
                    "externalIdentifier": {
                      "type": "string",
                      "example": "999999"
                    },
                    "created": {
                      "type": "string",
                      "example": "2019-02-19T21:02:08.000Z"
                    },
                    "appSpaceId": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "appUserStatusId": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "userInfo": {
                      "type": "string",
                      "example": "{'recurringCustomer':true}"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location --request GET \"https://cloud.privakey.com/api/account/getAccount?accountId=999999\" --header \"Authorization: Basic <basicCreds>\""
            },
            {
              "language": "javascript",
              "code": "const auth = { headers: { 'Authorization':`Basic ${basicCreds}` }}\n\nfetch('https://cloud.privakey.com/api/account/getAccount?accoundId=999999', auth)\n  .then(data => console.log(data.privakeyId))"
            }
          ],
          "samples-languages": [
            "curl",
            "javascript"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "660d684fcb33080067214619:660d684fcb3308006721462d"
}
```